Bug 1456771 (CVE-2017-0374) - CVE-2017-0374 perl-Config-Model: Local privilege escalation via crafted model
Summary: CVE-2017-0374 perl-Config-Model: Local privilege escalation via crafted model
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-0374
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20170510,repor...
Depends On: 1456772
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-30 10:36 UTC by Adam Mariš
Modified: 2019-06-08 22:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-14 14:37:35 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-05-30 10:36:11 UTC
lib/Config/Model.pm in Config-Model (aka libconfig-model-perl) before 2.102 allows local users to gain privileges via a crafted model in the current working directory, related to use of . with the INC array.

Debian patch:

https://anonscm.debian.org/cgit/pkg-perl/packages/libconfig-model-perl.git/commit/?h=stretch&id=0de8471e5a8958ad37446dfcd0362a269e3ec573

Comment 1 Adam Mariš 2017-05-30 10:37:05 UTC
Created perl-Config-Model tracking bugs for this issue:

Affects: fedora-all [bug 1456772]


Note You need to log in before you can comment on or make changes to this bug.